Create task
curl --request POST \
--url https://api.stardex.ai/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_text": "<string>",
"due_date": "<string>",
"is_completed": false,
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.stardex.ai/v1/tasks"
payload = {
"content_text": "<string>",
"due_date": "<string>",
"is_completed": False,
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content_text: '<string>',
due_date: '<string>',
is_completed: false,
person_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deal_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
client_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
owner_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.stardex.ai/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee1111",
"content_text": "Follow up with candidate about interview availability",
"task_type": "text",
"due_date": "2024-02-15T17:00:00Z",
"is_completed": false,
"person_id": "123e4567-e89b-12d3-a456-426614174000",
"deal_id": "234e5678-e90a-12b3-c456-789012345678",
"client_id": "345e6789-e01b-23c4-d567-890123456789",
"job_id": "456e7890-e12b-34d5-a678-901234567890",
"created_at": "2024-02-01T10:00:00Z",
"updated_at": "2024-02-01T10:00:00Z",
"owners": [
{
"id": "567e8901-e23c-45d6-e789-012345678901",
"first_name": "Jane",
"last_name": "Smith"
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Tasks
Create task
Create a new task with required content and type. Optionally associate with a person, deal, client, or job.
POST
/
v1
/
tasks
Create task
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Body
application/json
Plain text content of the task (required).
Minimum string length:
1Task type (required): text, linkedin_message, linkedin_connection, call, other.
Available options:
text, linkedin_message, linkedin_connection, call, other ISO 8601 due date.
Whether the task is completed. Defaults to false.
Person UUID to associate with this task.
Deal UUID to associate with this task.
Client (organization_companies) UUID to associate with this task.
Job UUID to associate with this task.
Team member UUIDs to assign as task owners. Get IDs from GET /v1/team-members.
Was this page helpful?
⌘I